# hilde

A server implementation of a Debian repository.

## Development

To develop this project, you'll need a few things:

* Docker (for setting up the database)
* Cargo & Rust stable (all hail Rocket v0.5)
* The PostgreSQL dev libraries (to compile Diesel)

That's the ones I can think of right now. If I think of any others, I'll be
sure to add them to the list.

For ease of development, there's a Makefile wrapper that can do everything you
need to do to work on Hilde. I recommend reading through it (it's not long),
but the important ones are `make` & `make run`, which are just Cargo aliases,
and `make db`, which starts a local PostgreSQL database using Docker.